Subject: [bug#29281] [PATCH] system: vm: Use linux-libre for system-disk-image.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 13 Nov 2017 14:47:24 +0100

Mathieu Othacehe <[email-masked]> skribis:

>> So the kernel you built doesn’t boot at all in “qemu-system-arm -M virt”?
>
> Nope it does not with this command :
>
> qemu-system-arm -M virt -kernel
> /gnu/store/13jqdcykaarbxzwxnryqinljcjh3k75g-linux-libre-arm-omap2plus-4.13.4/zImage
> -nographic 

Oh, ARM is weird.  :-)

>> In practice ‘targeting-arm?’ could be checking (%current-system) and
>> (%current-target-system), which is not entirely correct but good enough,
>> or, better yet, use that ‘let-system’ construct I sent you recently to
>> determine the actual target system.
>>
>> Thoughts?
>
> Sure it seems like a good idea, until we find better ! I'll try to setup
> let-system and propose an updated patch.

I can polish the ‘let-system’ bits, because maybe that wasn’t fully
baked.  I’ll send it to guix-patches ASAP so you can review.  Sounds
good?

Thanks,
Ludo’.